io.vertx.json.schema.common

## Class BaseSingleSchemaValidator

- java.lang.Object
- - io.vertx.json.schema.common.BaseMutableStateValidator
  - - io.vertx.json.schema.common.BaseSingleSchemaValidator

- All Implemented Interfaces:
    AsyncValidator, MutableStateValidator, PriorityGetter, SyncValidator, Validator

      public abstract class BaseSingleSchemaValidator
      extends BaseMutableStateValidator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SchemaInternal` | `schema`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseSingleSchemaValidator(MutableStateValidator parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `calculateIsSync()`
    `void` | `setSchema(SchemaInternal schema)`

    - ### Methods inherited from class io.vertx.json.schema.common.BaseMutableStateValidator

      `checkSync, getParent, getPriority, initializeIsSync, isSync, triggerUpdateIsSync, validateSyncAsAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.json.schema.common.AsyncValidator

      `validateAsync`

    - ### Methods inherited from interface io.vertx.json.schema.common.SyncValidator

      `validateSync`

- - ### Field Detail

    - #### schema

          protected SchemaInternal schema

  - ### Constructor Detail

    - #### BaseSingleSchemaValidator

          public BaseSingleSchemaValidator(MutableStateValidator parent)

  - ### Method Detail

    - #### calculateIsSync

          public boolean calculateIsSync()

      Specified by:
        `calculateIsSync` in class `BaseMutableStateValidator`

    - #### setSchema

          public void setSchema(SchemaInternal schema)

Copyright © 2021 Eclipse. All rights reserved.